
%% geef proefpersoon en trial om te visualiseren in, en geef bestanden correcte naam!
%% opgelet, trials 1 - 3 en 10 - 12 zijn practice
participant = 2;
trial = 8;

%%%%Zoek en open correcte text file in folder 
%%(!zoekt in alfabetische volgorde --> let op correcte naamgeving bestanden: 001, 002, ... ipv 1, 2, ...; anders is volgorde : 1, 10 2, 20, ...)
dirListing = dir ('*.txt');
fid = fopen(dirListing(participant).name);
C = textscan(fid, '%s %f %f %s %s %s %s %f %f %f %f %f %f %f %f %f %f %f','Delimiter',';'); 
fclose(fid);

%%haal trialnumber, condition, blindfold, direction, phase, mode, attempt, x positie en y positie op
trialNumberstr = C{1,1};
blindfold = C{1,4};
mode = C{1,7};
attempt = C{1,8};
xPos = C{1,12};
yPos = C{1,14};

%%maak trialNumber (double) obv trialNumberstr (string) 
trialCounter = 1;

for i=1:size(trialNumberstr)
    if(trialCounter < 18)
        trialNumber(i) = trialCounter;
        if(strcmp(trialNumberstr(i + 1),trialNumberstr(i)) == 0)
            trialCounter = trialCounter + 1;
        end
    else
        trialNumber(i) = trialCounter;
    end
end

%%tel aantal samples voor guided beweging en free beweging binnen trial
guidedCounter = 0;
freeCounter = 0;

for i=1:size(trialNumber)
    if(trialNumber == trial)
        if (mode(i) == "Guided")     
            if (i ~= 1) && (attempt(i) > attempt (i-1))    
                clear guidedX;    
                clear guidedY;    
                guidedCounter = 0;    
            end
            guidedCounter = guidedCounter + 1;
        else
            freeCounter = freeCounter + 1;
        end
    end
end
    
%%maak matrices om x en y coordinaten op te slaan, en blinddoek of niet
guidedX = zeros(guidedCounter,1,'double');
guidedY = zeros(guidedCounter,1,'double');
freeX = zeros(freeCounter,1,'double');
freeY = zeros(freeCounter,1,'double');
blindfoldTrial = ("");

%% loop door alle samples om coordinaten op te slaan
guidedCounter = 0;
freeCounter = 0;

for i=1:length(trialNumber)
    if (trialNumber(i) == trial)  
        blindfoldTrial(1) = blindfold(i);
        if (mode(i) == "Guided") 
            if (i ~= 1) && (attempt(i) > attempt (i-1))
                clear guidedX;
                clear guidedY;
                guidedCounter = 0; 
            end
            guidedCounter = guidedCounter + 1;
            guidedX(guidedCounter) = xPos(i);
            guidedY(guidedCounter) = yPos(i);
        else
            freeCounter = freeCounter + 1;
            freeX(freeCounter) = xPos(i);
            freeY(freeCounter) = yPos(i);                     
        end 
    end 
end 
    
%%plot beweging inclusief limiet bewegingsveld
%%grote ellips
xkCenter = 0.025;
ykCenter = 4.33769;
xkRadius = 3.21;
ykRadius = 2.44;
theta = 0 : 0.01 : 2*pi;
xk = xkRadius * cos(theta) + xkCenter;
yk = ykRadius * sin(theta) + ykCenter;
%%kleine ellips
xgCenter = -0.02;
ygCenter = 4.33769;
xgRadius = 7.26;
ygRadius = 6.4;
theta = 0 : 0.01 : 2*pi;
xg = xgRadius * cos(theta) + xgCenter;
yg = ygRadius * sin(theta) + ygCenter;
%%lijn 1
L1X = [3.95123  2.00936];
L1Y = [-1.02769 2.42614];
%%lijn 2
L2X = [-1.91174 -3.75928];
L2Y = [2.37299 -1.13221];

plot(L1X, L1Y, 'b', L2X, L2Y, 'b', xg, yg, 'b', xk, yk, 'b', guidedX, guidedY, 'r', freeX, freeY, 'g', 'LineWidth', 2)
title("pp" + participant + ", trial " + trial + ", " + blindfoldTrial)
axis([-2.25 2.25 -2.25 2.25])
pbaspect([1 1 1])

clear trialNumber;
