
%% geef proefpersoon nummer in 
participant = 1;


%%Zoek correcte text file in folder 
%%(!zoekt in alfabetische volgorde --> let op correcte naamgeving bestanden: 001, 002, ... ipv 1, 2, ...; anders is volgorde : 1, 10 2, 20, ...)
dirListing = dir ('*.txt');
for j=1:size(dirListing,1)
    if (j == participant)
        
        %%open text file
        fid = fopen(dirListing(j).name);
        C = textscan(fid, '%s %f %f %s %s %s %s %f %f %f %f %f %f %f %f %f %f %f','Delimiter',';');
        fclose(fid);
    
        %%haal trialnumber, condition, blindfold, phase, mode, attempt, x positie en y positie op
        trialNumberstr = C{1,1};
        condition = C{1,3};
        blindfold = C{1,4};
        direction = C{1,5};
        phase = C{1,6};
        mode = C{1,7};
        attempt = C{1,8};
        centerX = C{1,9};
        centerY = C{1,10};
        xPos = C{1,12};
        yPos = C{1,14};

        %%maak trialNumber (double) obv trialNumberstr (string) 
        trialCounter = 1;

        for i=1:size(trialNumberstr)
            if(trialCounter < 18)
                trialNumber(i) = trialCounter;
                if(strcmp(trialNumberstr(i + 1),trialNumberstr(i)) == 0)
                    trialCounter = trialCounter + 1;
                end
            else
                trialNumber(i) = trialCounter;
            end
        end

        %%maak cell arrays om x en y coordinaten op te slaan
        features = {};
        guidedX = {};
        guidedY = {};
        freeX = {};
        freeY = {};

        %% loop door alle samples om coordinaten op te slaan
        sampleCounter = 1;
        trialNumberCondition = 1;

        for i=1:length(trialNumber)
            if (phase(i) == "test")
                if (condition(i) == 1) && ((condition(i+1) ~= 1))
                    features(13) = {condition(i)};
                    features(14) = {blindfold(i)};
                    features(15) = {direction(i)};
                elseif(i == length(trialNumber))
                    features(16) = {condition(i)};
                    features(17) = {blindfold(i)};
                    features(18) = {direction(i)};
                end
                if (i ~= length(trialNumber)) && (trialNumber(i) == trialNumber(i + 1))
                    if (mode(i) == "Guided") && (i ~= 1) && (attempt(i) > attempt (i-1))                           
                        clear guidedVectorX;                   
                        clear guidedVectorY;                          
                        sampleCounter = 1; 
                        end
                    if(mode(i) == "Guided")
                        guidedVectorX(sampleCounter) = xPos(i);
                        guidedVectorY(sampleCounter) = yPos(i);
                    else
                        freeVectorX(sampleCounter - length(guidedVectorX)) = xPos(i);
                        freeVectorY(sampleCounter - length(guidedVectorY)) = yPos(i);
                    end
                    sampleCounter = sampleCounter + 1;
                elseif (i == length(trialNumber))
                    freeVectorX(sampleCounter - length(guidedVectorX)) = xPos(i);
                    freeVectorY(sampleCounter - length(guidedVectorY)) = yPos(i); 
                    guidedX(trialNumberCondition) = {guidedVectorX};
                    guidedY(trialNumberCondition) = {guidedVectorY};              
                    freeX(trialNumberCondition) = {freeVectorX};
                    freeY(trialNumberCondition) = {freeVectorY}; 
                    clear guidedVectorX;
                    clear guidedVectorY;
                    clear freeVectorX;
                    clear freeVectorY;
                else
                    freeVectorX(sampleCounter - length(guidedVectorX)) = xPos(i);
                    freeVectorY(sampleCounter - length(guidedVectorY)) = yPos(i);
                    guidedX(trialNumberCondition) = {guidedVectorX};
                    guidedY(trialNumberCondition) = {guidedVectorY};
                    freeX(trialNumberCondition) = {freeVectorX};
                    freeY(trialNumberCondition) = {freeVectorY};
                    sampleCounter = 1;
                    trialNumberCondition = trialNumberCondition + 1;
                    clear guidedVectorX;
                    clear guidedVectorY;
                    clear freeVectorX;
                    clear freeVectorY;       
                end     
            end 
        end
    end 
end

%%plot beweging inclusief limiet bewegingsveld
%%grote ellips
xkCenter = 0.025;
ykCenter = 4.33769;
xkRadius = 3.21;
ykRadius = 2.44;
theta = 0 : 0.01 : 2*pi;
xk = xkRadius * cos(theta) + xkCenter;
yk = ykRadius * sin(theta) + ykCenter;
%%kleine ellips
xgCenter = -0.02;
ygCenter = 4.33769;
xgRadius = 7.26;
ygRadius = 6.4;
theta = 0 : 0.01 : 2*pi;
xg = xgRadius * cos(theta) + xgCenter;
yg = ygRadius * sin(theta) + ygCenter;
%%lijn 1
L1X = [3.95123  2.00936];
L1Y = [-1.02769 2.42614];
%%lijn 2
L2X = [-1.91174 -3.75928];
L2Y = [2.37299 -1.13221];

subplot(1,2,1);
plot(L1X, L1Y, 'b', L2X, L2Y, 'b', xg, yg, 'b', xk, yk, 'b', guidedX{1}, guidedY{1}, 'r', guidedX{2}, guidedY{2}, 'r', guidedX{3}, guidedY{3}, 'r', guidedX{4}, guidedY{4}, 'r', guidedX{5}, guidedY{5}, 'r', guidedX{6}, guidedY{6}, 'r', freeX{1}, freeY{1}, 'g', freeX{2}, freeY{2}, 'g', freeX{3}, freeY{3}, 'g', freeX{4}, freeY{4}, 'g', freeX{5}, freeY{5}, 'g', freeX{6}, freeY{6}, 'g', 'LineWidth', 2)
title("participant " + participant + ", " + "condition " + features{13} + ", " + features{14} + ", " + features{15})
axis([-2.75 2.75 -2.75 2.75])
pbaspect([1 1 1])

subplot(1,2,2);
plot(L1X, L1Y, 'b', L2X, L2Y, 'b', xg, yg, 'b', xk, yk, 'b', guidedX{7}, guidedY{7}, 'r', guidedX{8}, guidedY{8}, 'r', guidedX{9}, guidedY{9}, 'r', guidedX{10}, guidedY{10}, 'r', guidedX{11}, guidedY{11}, 'r', guidedX{12}, guidedY{12}, 'r', freeX{7}, freeY{7}, 'g', freeX{8}, freeY{8}, 'g', freeX{9}, freeY{9}, 'g', freeX{10}, freeY{10}, 'g', freeX{11}, freeY{11}, 'g', freeX{12}, freeY{12}, 'g', 'LineWidth', 2)
title("participant " + participant + ", " + "condition " + features{16} + ", " + features{17} + ", " + features{18})
axis([-2.75 2.75 -2.75 2.75])
pbaspect([1 1 1])

clear trialNumber;

